edu.northwestern.at.morphadorner.tools.relemmatize

## Class Relemmatize

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.relemmatize.Relemmatize

-     public class Relemmatize
      extends java.lang.Object

  Update standard spellings and lemmata in MorphAdorned files.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `currentDocNumber` Current document.
    `protected static int` | `docsToProcess` Number of documents to process.
    `protected static int` | `INITPARAMS` # params before input file specs.
    `protected static java.lang.String` | `outputDirectory` Output directory.
    `protected static RelemmatizeFilter` | `relemmatizeFilter` Relemmatizer filter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Relemmatize()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `initialize(java.lang.String[] args)` Initialize.
    `static void` | `main(java.lang.String[] args)` Main program.
    `protected static int` | `processFiles(java.lang.String[] args)` Process files.
    `protected static void` | `processOneFile(java.lang.String xmlInputFileName)` Process one file.
    `protected static void` | `terminate(int filesProcessed, long processingTime)` Terminate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INITPARAMS

          protected static final int INITPARAMS

      # params before input file specs.
      See Also:
        Constant Field Values

    - #### docsToProcess

          protected static int docsToProcess

      Number of documents to process.

    - #### currentDocNumber

          protected static int currentDocNumber

      Current document.

    - #### outputDirectory

          protected static java.lang.String outputDirectory

      Output directory.

    - #### relemmatizeFilter

          protected static RelemmatizeFilter relemmatizeFilter

      Relemmatizer filter.

  - ### Constructor Detail

    - #### Relemmatize

          public Relemmatize()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.
      Parameters:
        `args` - Program parameters.

    - #### initialize

          protected static boolean initialize(java.lang.String[] args)
                                       throws java.lang.Exception

      Initialize.
      Throws:
        `java.lang.Exception`

    - #### processOneFile

          protected static void processOneFile(java.lang.String xmlInputFileName)

      Process one file.
      Parameters:
        `xmlInputFileName` - Input file name relemmatize.

    - #### processFiles

          protected static int processFiles(java.lang.String[] args)

      Process files.

    - #### terminate

          protected static void terminate(int filesProcessed,
                       long processingTime)

      Terminate.
      Parameters:
        `filesProcessed` - Number of files processed.
        `processingTime` - Processing time in seconds.